package com.hungraim.ism.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.dao.DisableApplyHisMapper;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementVO;
import com.hungraim.ism.service.DisableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DisableServiceImpl implements DisableService {

    @Autowired
    private DisableApplyHisMapper disableApplyHisMapper;

    @Override
    public Page<ApplicationManagementVO> applicationManagementList(String organId, String districtProvincial, String districtCity,
                                                                   String districtArea, String realName, String certiCode, String treatmentType,
                                                                   String applyStatus, int page, int pageSize) {
        return disableApplyHisMapper.applicationManagementList(new Page(page, 10), organId, districtProvincial, districtCity, districtArea, realName, certiCode, treatmentType, applyStatus);
    }

}